GET restapi/personal/yourfiles/attachments/v1?PageIndex={PageIndex}&PageSize={PageSize}&searchPhrase={searchPhrase}&sortField={sortField}&sortOrder={sortOrder}

Get attachments for the current user

Request Information

URI Parameters

NameDescriptionTypeAdditional information
PageIndex

integer

None.

PageSize

integer

None.

searchPhrase

Optional. Get only the attachments that matches the search phrase

string

Default value is

sortField

The sort field. FileName or Uploaded date

string

Default value is

sortOrder

The sort order. Ascending or Descending

string

Default value is

Body Parameters

None.

Response Information

Resource Description

EntityList of message attachments

EntityListOfItslearning.RestApi.Entities.YourFiles.MessageAttachmentModel
NameDescriptionTypeAdditional information
EntityArray

Collection of Itslearning.RestApi.Entities.YourFiles.MessageAttachmentModel

None.

Total

integer

None.

CurrentPageIndex

integer

None.

PageSize

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "EntityArray": [
    {
      "InstantMessageId": 1,
      "InstantMessageThreadId": 2,
      "FileName": "sample string 3",
      "FileType": "sample string 4",
      "UploadedDateString": "sample string 5",
      "UploadedDate": "2026-06-01T10:51:13Z",
      "Icon": "sample string 7"
    },
    {
      "InstantMessageId": 1,
      "InstantMessageThreadId": 2,
      "FileName": "sample string 3",
      "FileType": "sample string 4",
      "UploadedDateString": "sample string 5",
      "UploadedDate": "2026-06-01T10:51:13Z",
      "Icon": "sample string 7"
    }
  ],
  "Total": 1,
  "CurrentPageIndex": 2,
  "PageSize": 3
}

application/xml, text/xml

Sample:
<EntityList xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <CurrentPageIndex>2</CurrentPageIndex>
  <EntityArray xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itslearning.RestApi.Entities.YourFiles">
    <d2p1:MessageAttachmentModel>
      <d2p1:FileName>sample string 3</d2p1:FileName>
      <d2p1:FileType>sample string 4</d2p1:FileType>
      <d2p1:Icon>sample string 7</d2p1:Icon>
      <d2p1:InstantMessageId>1</d2p1:InstantMessageId>
      <d2p1:InstantMessageThreadId>2</d2p1:InstantMessageThreadId>
      <d2p1:UploadedDate>2026-06-01T10:51:13Z</d2p1:UploadedDate>
      <d2p1:UploadedDateString>sample string 5</d2p1:UploadedDateString>
    </d2p1:MessageAttachmentModel>
    <d2p1:MessageAttachmentModel>
      <d2p1:FileName>sample string 3</d2p1:FileName>
      <d2p1:FileType>sample string 4</d2p1:FileType>
      <d2p1:Icon>sample string 7</d2p1:Icon>
      <d2p1:InstantMessageId>1</d2p1:InstantMessageId>
      <d2p1:InstantMessageThreadId>2</d2p1:InstantMessageThreadId>
      <d2p1:UploadedDate>2026-06-01T10:51:13Z</d2p1:UploadedDate>
      <d2p1:UploadedDateString>sample string 5</d2p1:UploadedDateString>
    </d2p1:MessageAttachmentModel>
  </EntityArray>
  <PageSize>3</PageSize>
  <Total>1</Total>
</EntityList>